#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin >> n >> m;
    int redari = 2 * n + 2 * m - 4;
    if(n == 1 || m == 1)
    {
        cout << max(n,m);
    }
    else
    {
        for(int i = 1; i < n - 1; i++)
        {
            for(int j = 1; j < m - 1; j++)
            {
                if(i % 2 == 1 && j % 2 == 0)
                {
                    redari++;
                }
                if(i % 2 == 0 && j % 2 == 1)
                {
                    redari++;
                }
            }
        }
        cout << redari;
    }
    return 0;
}